{ lib, pkgs, config, myconfig, mylibs, ... }:
{
  config.ids.uids.nullmailer = myconfig.env.users.nullmailer.uid;
  config.ids.gids.nullmailer = myconfig.env.users.nullmailer.gid;
  config.users.users.nullmailer.uid = config.ids.uids.nullmailer;
  config.users.groups.nullmailer.gid = config.ids.gids.nullmailer;

  config.services.nullmailer = {
    enable = true;
    config = {
      me = myconfig.env.mail.host;
      remotes = "${myconfig.env.mail.relay} smtp";
    };
  };
}
